Class | XMLRPC::XMLParser::NQXMLStreamParser::XMLRPCParser
In: | xmlrpc/parser.rb
Parent: | Object

### Methods

parse

### Included Modules

StreamParserMixin

### Public Instance methods

parse(str)

[Source]

    # File xmlrpc/parser.rb, line 598
            def parse(str)
              parser = NQXML::StreamingParser.new(str)
              parser.each do |ele|
                case ele
                when NQXML::Text
                  @data = ele.text
                  #character(ele.text)
                when NQXML::Tag
                  if ele.isTagEnd
                    endElement(ele.name)
                  else
                    startElement(ele.name, ele.attrs)
                  end
                end
              end # do
            end

[Validate]